# dabruh's dotfiles

## Showcase

SDDM with 3ximus's aerial theme

![3ximus's aerial theme preview](https://raw.githubusercontent.com/3ximus/aerial-sddm-theme/9d354bb8f3bece90c91f3c0f39eeb45e9da80b0b/screens/preview1.gif)

i3 with picom compositor and rounded corners

![./src/screenshot.png](./src/screenshot.png)

Layered i3 configuration:

```sh
>>> tree .config/i3
.config/i3
├── config.main
├── config.post-main-00-security
├── config.post-main-01-visuals
├── config.post-main-10-applets
├── config.post-main-10-audio
├── config.post-main-10-misc
├── config.pre-main-00-vars
└── overrides
    ├── config.post-main-90-gaps
    ├── config.post-main-90-laptop
    └── config.pre-main-90-cerberus

~ >>> i3-config-builder
Building i3 config... 🔨
WRITE : 'config.pre-main-00-vars'.
WRITE : 'config.pre-main-90-desktop'.
WRITE : 'config.main'.
WRITE : 'config.post-main-00-security'.
WRITE : 'config.post-main-01-visuals'.
WRITE : 'config.post-main-10-applets'.
WRITE : 'config.post-main-10-audio'.
WRITE : 'config.post-main-10-misc'.
WRITE : 'config.post-main-90-gaps'.

Restarting i3... 🔄
2022-05-28 01:10:43 - Additional arguments passed. Sending them as a command to i3.
[{"success":true}]

~ >>>
```

## Giving credit where credit is due

The following list of scripts are either full copies, or modifications of the below sources. You may find a few scripts in this repo that are not mentioned below. They are not mentioned for one of the following 3 reasons:

- They're developed by me.
- They're too small/generic.
- They've been too heavily modified to resemble to original.

| path                                | source                                                                                                                                                                                                            |
| ----------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `.config/fontconfig/fonts.conf`     | [LukeSmithxyz/voidrice](https://github.com/LukeSmithxyz/voidrice/blob/d283f12ef9c524a88550097bceda029b3eb9a71c/.config/fontconfig/fonts.conf)                                                                                                                                                                                         |
| `.config/picom/picom.conf`          | [gaurav712/picom.conf](https://gist.github.com/gaurav712/42549678b778db12fda5764f7c0757ad)                                                                                                                        |
| `.local/bin/dmenumount`             | [LukeSmithxyz/voidrice](https://github.com/LukeSmithxyz/voidrice/blob/d283f12ef9c524a88550097bceda029b3eb9a71c/.local/bin/dmenumount)                                                                             |
| `.local/bin/dmenuumount`            | [LukeSmithxyz/voidrice](https://github.com/LukeSmithxyz/voidrice/blob/d283f12ef9c524a88550097bceda029b3eb9a71c/.local/bin/dmenuumount)                                                                            |
| `.local/bin/dmenuunicode`           | [LukeSmithxyz/voidrice](https://github.com/LukeSmithxyz/voidrice/blob/d283f12ef9c524a88550097bceda029b3eb9a71c/.local/bin/dmenuunicode)                                                                           |
| `.local/bin/i3-get-window-criteria` | [faq.i3wm.org/question/2172](https://faq.i3wm.org/question/2172/how-do-i-find-the-criteria-for-use-with-i3-config-commands-like-for_window-eg-to-force-splashscreens-and-dialogs-to-show-in-floating-mode.1.html) |
| `.local/share/larbs/emoji`          | [LukeSmithxyz/voidrice](https://github.com/LukeSmithxyz/voidrice/blob/d283f12ef9c524a88550097bceda029b3eb9a71c/.local/share/larbs/emoji)                                                                                                                                                                                         |
